com.ibm.openpages.api.workflow.actions

## Interface IWFCustomActionDef

-     public interface IWFCustomActionDef

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(IWFCustomProperty property)` Adds a property to the action.
    `java.lang.String` | `getActionClass()` Returns the name of the action class.
    `java.util.List<IWFCustomProperty>` | `getProperties()` Returns the list of properties.
    `IWFCustomProperty` | `getProperty(java.lang.String name)` Returns the property for the given name.
    `boolean` | `isExecuteAsSystem()` Specifies whether the action will run with OPSystem administrator privileges.
    `void` | `setActionClass(java.lang.String className)` Sets the name of the action class.
    `void` | `setExecuteAsSystem(boolean executeAsSystem)` Sets whether the action will run with OPSystem administrator privileges.
    `void` | `setProperties(java.util.List<IWFCustomProperty> properties)` Sets the list of properties.

- - ### Method Detail

    - #### isExecuteAsSystem

          boolean isExecuteAsSystem()

      Specifies whether the action will run with OPSystem administrator privileges.
      Returns:
        boolean

    - #### setExecuteAsSystem

          void setExecuteAsSystem(boolean executeAsSystem)

      Sets whether the action will run with OPSystem administrator privileges. If false the action will execute as the logged in user.
      Parameters:
        `executeAsSystem` -

    - #### getActionClass

          java.lang.String getActionClass()

      Returns the name of the action class.
      Returns:
        String

    - #### setActionClass

          void setActionClass(java.lang.String className)

      Sets the name of the action class.
      Parameters:
        `className` -

    - #### getProperties

          java.util.List<IWFCustomProperty> getProperties()

      Returns the list of properties. Refer `IWFCustomProperty`
      Returns:
        List

    - #### setProperties

          void setProperties(java.util.List<IWFCustomProperty> properties)

      Sets the list of properties. Refer `IWFCustomProperty`
      Parameters:
        `properties` -

    - #### getProperty

          IWFCustomProperty getProperty(java.lang.String name)

      Returns the property for the given name. Refer `IWFCustomProperty`
      Parameters:
        `name` -
      Returns:
        IWFCustomProperty

    - #### addProperty

          void addProperty(IWFCustomProperty property)

      Adds a property to the action. Refer `IWFCustomProperty`
      Parameters:
        `property` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.